Package io.strimzi.systemtest.matchers

## Class Matchers

- java.lang.Object
- - io.strimzi.systemtest.matchers.Matchers

-     public class Matchers
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.hamcrest.Matcher<List<io.fabric8.kubernetes.api.model.Event>>` | `hasAllOfReasons​(Events... eventReasons)` | A matcher checks that examined object has a full match of reasons for actual events.
    `static org.hamcrest.Matcher<List<io.fabric8.kubernetes.api.model.Event>>` | `hasAnyOfReasons​(Events... eventReasons)` | A matcher checks that examined object has at least one match of reasons for actual events.
    `static org.hamcrest.Matcher<List<io.fabric8.kubernetes.api.model.Event>>` | `hasNoneOfReasons​(Events... eventReasons)` | A matcher checks that events don't have all listed reasons
    `static org.hamcrest.Matcher<String>` | `logHasNoUnexpectedErrors()` | A matcher checks that log doesn't have unexpected errors

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### hasAllOfReasons

          public static org.hamcrest.Matcher<List<io.fabric8.kubernetes.api.model.Event>> hasAllOfReasons​(Events... eventReasons)

      A matcher checks that examined object has a full match of reasons for actual events.
      Parameters:
        `eventReasons` - - expected events for resource
      Returns:
        The matcher.

    - #### hasAnyOfReasons

          public static org.hamcrest.Matcher<List<io.fabric8.kubernetes.api.model.Event>> hasAnyOfReasons​(Events... eventReasons)

      A matcher checks that examined object has at least one match of reasons for actual events.
      Parameters:
        `eventReasons` - - expected events for resource
      Returns:
        The matcher.

    - #### hasNoneOfReasons

          public static org.hamcrest.Matcher<List<io.fabric8.kubernetes.api.model.Event>> hasNoneOfReasons​(Events... eventReasons)

      A matcher checks that events don't have all listed reasons
      Parameters:
        `eventReasons` - - unexpected events for resource
      Returns:
        a matcher `hasAnyOfReasons(Events... eventReasons)` with opposite result

    - #### logHasNoUnexpectedErrors

          public static org.hamcrest.Matcher<String> logHasNoUnexpectedErrors()

      A matcher checks that log doesn't have unexpected errors
      Returns:
        The matcher.